<html>
<head>
    <title>Create a Post</title>
    <style>
        body {
            
            background-color: #f2f2f2;
            font-family: Arial, sans-serif;
        }
        .container {
    max-width: 500px;
    margin: 70px auto 0;
    padding: 20px;
    background-color: #ffffff;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
        h1 {
            color: #333333;
            text-align: center;
        }
        .success-message {
            color: #55aa55;
            text-align: center;
            margin-bottom: 10px;
        }
        .error-message {
            color: #aa5555;
            text-align: center;
            margin-bottom: 10px;
        }
        label {
            display: block;
            font-weight: bold;
            margin-bottom: 5px;
        }
        input[type="text"],
        textarea {
            width: 100%;
            padding: 8px;
            border-radius: 3px;
            border: 1px solid #cccccc;
            background-color: #f9f9f9;
        }
        input[type="submit"] {
            background-color: #3366cc;
            color: #ffffff;
            padding: 10px 20px;
            border: none;
            border-radius: 3px;
            cursor: pointer;
            font-size: 16px;
        }
        input[type="submit"]:hover {
            background-color: #2356a4;
        }
        .navbar {
    background-color: #333;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px; /* Add margin-bottom for spacing */
    /* Other styles for the navbar */
}

  .navbar ul {
    list-style-type: none;
    margin: 0;
    padding: 20px;
    display: flex;
    align-items: center;
    height: 100%;
  }

  .navbar li {
    margin-right: 20px;
  }

  .navbar li:last-child {
    margin-right: 10px;
  }

  .navbar a {
    color: #fff;
    text-decoration: none;
  }
    </style>
</head>
<body>
    <div class="navbar">
        <ul>
          <li><a href="{% url 'posts' %}">Main Page</a></li>
          <li><a href="{% url 'post_create'  %}">Post</a></li>
          <!-- Add more navigation links as needed -->
        </ul>
      </div>
    <div class="container">
        <a href="{% url 'posts'  %}" class="post-link">
            <span> Back</span>
            {{ post.name }}
        </a>
        <h1>Create a Post</h1>
        {% if success_message %}
            <p class="success-message">{{ success_message }}</p>
        {% endif %}
        {% if error_message %}
            <p class="error-message">{{ error_message }}</p>
        {% endif %}
        <form method="POST" enctype="multipart/form-data">
            {% csrf_token %}
            <div>
                <label for="{{ post_form.name.id_for_label }}">Name:</label>
                {{ post_form.name }}
                {% if post_form.name.errors %}
                    <p class="error-message">{{ post_form.name.errors }}</p>
                {% endif %}
            </div>
            <br>
            <div>
                <label for="{{ post_form.body.id_for_label }}">Body:</label>
                {{ post_form.body }}
                {% if post_form.body.errors %}
                    <p class="error-message">{{ post_form.body.errors }}</p>
                {% endif %}
            </div>
            <br>
            <div>
                <label for="{{ post_form.owner.id_for_label }}">Owner:</label>
                {{ post_form.owner }}
                {% if post_form.owner.errors %}
                    <p class="error-message">{{ post_form.owner.errors }}</p>
                {% endif %}
            </div>
            <br>
            <input type="submit" value="Create">
        </form>
    </div>
</body>
</html>